%{

#include "expr005xx.tab.hh"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string>

typedef yy::parser::token token;

#define yyterminate() return token::END

%}

%option noyywrap

%%

0			*yylval = atoi(yytext); return(token::num);
[1-9][0-9]* *yylval = atoi(yytext); return(token::num);
[a-z]		*yylval = int(yytext[0]); return(token::var);

\(       return(token::lpar);
\)       return(token::rpar);
\+       return(token::plus);
\*       return(token::times);
\n       ECHO; return(token::END);
\*\*	 return(token::elevado);
\=	 	 return(token::igual);

%%






